commit: d3f3018e15adb61e180a2bfd987c62685992d345
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu May 1 16:55:20 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu May 1 16:56:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f3018e
dev-ruby/llhttp-ffi: fix version in gemsspec
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/llhttp-ffi/Manifest | 1 +
dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild | 47 ++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-ruby/llhttp-ffi/Manifest b/dev-ruby/llhttp-ffi/Manifest
index d0446b884529..3202a76b7555 100644
--- a/dev-ruby/llhttp-ffi/Manifest
+++ b/dev-ruby/llhttp-ffi/Manifest
@@ -1,2 +1,3 @@
DIST llhttp-0.4.0.tar.gz 98406 BLAKE2B
9f7358d988ed00558a36ae80e3c7d38cabb41a2233f32f4e3e6e9ed49a205f85ed84cb76cb07984f3b73b0a67eade4844ed5f4ee98b2453fa5c25d36fcb0082c
SHA512
56a491763500b1619492173a83a227e3228847f4b85b8dadab1a9de34d65d5c662615c18d6cc6d5e11226df83381fd7f79f67e12f89f0e437ada8f9fd083ec26
DIST llhttp-2023-03-29.tar.gz 114103 BLAKE2B
7af75703a748518c2c4b8840ac08089d3c3e79f9652278bd41e591f09b9091f5fa8195c530992e51811f065004adbc533b92d49097e9f05a2aa98b44b47da9ac
SHA512
058bf8a8bd7de6bf29794bc60bd9811d769acc9488cfc535d619ee24a79ba37edf3bcbdbffd40d747576024e7aca3c99cb71d9db1aa5af00991d7672c5f4bb70
+DIST llhttp-2025-03-11.tar.gz 114308 BLAKE2B
a95f1ec359edf82ee67ddd6bf96b68ec11d8452287174017a423214b8cfe496df932966c1ab0decffe48be5fc1b70b9eaf345881eab2c01d755fff6c818d07ea
SHA512
7c9c71a6a873882f3f8a2d6e379aa73e8fb675240e81b3395845f32f74941dfaaa0170719a2e00817eca9c1040b30cf4113d0d0561cb74fc17bf84fb5cd52fca
diff --git a/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild
b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild
new file mode 100644
index 000000000000..ea4fb555144a
--- /dev/null
+++ b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+MY_PV="2025-03-11"
+DESCRIPTION="Ruby FFI bindings for llhttp"
+HOMEPAGE="https://github.com/bryanp/llhttp"
+# Use -> ${MY_PV} in SRC_URI here to help spot forgotten MY_PV updates
+# (pkgcheck will warn on matching checksums)
+SRC_URI="https://github.com/bryanp/llhttp/archive/refs/tags/${MY_PV}.tar.gz ->
llhttp-${MY_PV}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="$(ver_cut 1)/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RUBY_S="llhttp-${MY_PV}/ffi"
+
+ruby_add_rdepend "=dev-ruby/ffi-compiler-1*"
+
+ruby_add_bdepend "test? (
+ dev-ruby/async-io
+ dev-ruby/rspec:3
+)"
+
+DEPEND="test? ( net-misc/curl )"
+
+all_ruby_prepare() {
+ sed -i -e 's/gem "rake-compiler"//g' "Gemfile" || die
+}
+
+each_ruby_compile() {
+ cd ext && "${RUBY}" -S rake || die
+ local FFI_PLATFORM_NAME="$(${RUBY} --disable=did_you_mean -e "require
'ffi' ; p \"#{FFI::Platform::ARCH}-#{FFI::Platform::OS}\"" | tr -d "\"")"
+ install -D "${FFI_PLATFORM_NAME}/libllhttp-ext.so"
"../lib/${FFI_PLATFORM_NAME}/libllhttp-ext.so" || die
+}
+
+each_ruby_install() {
+ each_fakegem_install
+ ruby_fakegem_extensions_installed
+}